FREEZE_BDEV(9)

NAME
freeze_bdev - - lock a filesystem and force it into a consistent state

SYNOPSIS

struct super_block * freeze_bdev (struct block_device * bdev);

ARGUMENTS

bdev
    blockdevice to lock

DESCRIPTION

This takes the block device bd_mount_sem to make sure no new mounts happen on bdev until thaw_bdev is called. If a superblock is found on this device, we take the s_umount semaphore on it to make sure nobody unmounts until the snapshot creation is done.